import {Injectable} from "@angular/core";
import jwtDecode from "jwt-decode";
import {parseJson} from "@angular/cli/utilities/json-file";
import {CreJwt} from "../../shared/app-state";

@Injectable({
  providedIn: 'root'
})
export class JwtService {
  parseJwt(jwt: string): CreJwt {
    const decoded = jwtDecode(jwt) as any

    return {
      sub: decoded.sub,
      exp: decoded.exp,
      user: parseJson(decoded.user)
    }
  }
}
